# Root Bar
Root Bar is a bar for wlroots based wayland compositors such as sway and was designed to address the lack of good bars for wayland.

[![builds.sr.ht status](https://builds.sr.ht/~scoopta/rootbar.svg)](https://builds.sr.ht/~scoopta/rootbar?)
## Dependencies
	libwayland-dev
	libgtk-3-dev
	libjson-c-dev
	libpulse-dev
	pkg-config
	meson
## Building
	hg clone https://hg.sr.ht/~scoopta/rootbar
	cd rootbar
	meson build
	ninja -C build
## Installing
	sudo ninja -C build install
## Uninstalling
	sudo ninja -C build uninstall
## Documentation
You can find documentation at https://bitbucket.org/Scoopta/root-bar/wiki/browse/

The documentation is a bit lackluster but you can find a sample config to make the bar look like polybar in the sample folder
## Bug Reports
Please file bug reports at https://todo.sr.ht/~scoopta/rootbar
## Contributing
Please submit patches to https://lists.sr.ht/~scoopta/rootbar

You can find documentation here https://man.sr.ht/hg.sr.ht/email.md
## Packages
If you're on Arch there's an unofficial AUR package https://aur.archlinux.org/packages/rootbar-hg/

## Screenshots
[![example 1](https://f.cloudninja.pw/Scaled_1.png)](https://f.cloudninja.pw/Rootbar_Example_1.png)

[![example 2](https://f.cloudninja.pw/Scaled_2.png)](https://f.cloudninja.pw/Rootbar_Example_2.png)

[![example 3](https://f.cloudninja.pw/Scaled_3.png)](https://f.cloudninja.pw/Rootbar_Example_3.png)

[![example 4](https://f.cloudninja.pw/Scaled_4.png)](https://f.cloudninja.pw/Rootbar_Example_4.png)
